log_info Struct Reference
Osmocom logging framework

Logging configuration, passed to log_init. More...

`#include <logging.h>`

## Data Fields

log_filter * | filter_fn
const struct log_info_cat * | cat
| per-category information More...
unsigned int | num_cat
| total number of categories More...
unsigned int | num_cat_user
| total number of user categories (not library) More...
log_save_filters * | save_fn
| filter saving function More...
log_print_filters * | print_fn
| filter saving function More...

## Detailed Description

Logging configuration, passed to log_init.

## Field Documentation

## cat

const struct log_info_cat* log_info::cat

per-category information

Referenced by color(), log_category_name(), log_init(), log_parse_category(), log_parse_category_mask(), and log_target_create().

## filter_fn

log_filter* log_info::filter_fn

Referenced by log_init(), and should_log_to_target().

## num_cat

unsigned int log_info::num_cat

total number of categories

Referenced by log_init(), log_parse_category(), log_parse_category_mask(), log_target_create(), and map_subsys().

## num_cat_user

unsigned int log_info::num_cat_user

total number of user categories (not library)

Referenced by log_init(), map_subsys(), and subsys_lib2index().

## print_fn

log_print_filters* log_info::print_fn

filter saving function

## save_fn

log_save_filters* log_info::save_fn

filter saving function

The documentation for this struct was generated from the following file:

- include/osmocom/core/logging.h